## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class CheckConstraintASALoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.CheckConstraintASALoader

Direct Known Subclasses:
  ColumnCheckConstraintASALoader

    public class CheckConstraintASALoader

extends java.lang.Object

Field Summary
`static java.lang.String` `COLUMN_CHECK_CONSTRAINT_TYPE`
`static java.lang.String` `TABLE_CHECK_CONSTRAINT_TYPE`

Constructor Summary
`CheckConstraintASALoader(CheckConstraint catalogCheckConstraint)`

Method Summary
`void` `loadCCInfo(java.lang.String type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TABLE_CHECK_CONSTRAINT_TYPE

    public static final java.lang.String TABLE_CHECK_CONSTRAINT_TYPE

See Also:
  Constant Field Values

### COLUMN_CHECK_CONSTRAINT_TYPE

    public static final java.lang.String COLUMN_CHECK_CONSTRAINT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### CheckConstraintASALoader

    public CheckConstraintASALoader(CheckConstraint catalogCheckConstraint)

Parameters:
  `catalogCheckConstraint` -

Method Detail

### loadCCInfo

    public final void loadCCInfo(java.lang.String type)

  Parameters:
    `type` - "T" means tablecheckconstraint and type "C" means columncheckconstraint